/*
 * Portability declarations for public domain tar.
 *
 * @(#)port.h 1.3	87/11/11	Public Domain by John Gilmore, 1986
 */

/*
 * Everybody does wait() differently.  There seem to be no definitions
 * for this in V7 (e.g. you are supposed to shift and mask things out
 * using constant shifts and masks.)  So fuck 'em all -- my own non
 * standard but portable macros.  Don't change to a "union wait"
 * based approach -- the ordering of the elements of the struct 
 * depends on the byte-sex of the machine.  Foo!
 */
#define	TERM_SIGNAL(status)	((status) & 0x7F)
#define TERM_COREDUMP(status)	(((status) & 0x80) != 0)
#define TERM_VALUE(status)	((status) >> 8)

	/* set HASINOT if stat has a meaningful scalar st_ino field */

#ifdef HASINOT
#undef HASINOT
#endif
#ifdef USG
#define HASINOT
#endif
#ifdef BSD42
#define HASINOT
#endif

#ifndef MSDOS
#if defined(__TURBOC__) || defined(__ZTC__) || defined(GNUDOS)
#define MSDOS
#endif
#endif

#if defined(__TURBOC__) && !defined(TURBOC)
#define	TURBOC
#endif

#if defined(__TURBOC__) || defined(__ZTC__)
#define	USEMSDDIR
#endif

#ifdef	MSDOS
/* missing things from sys/stat.h */
#ifndef S_ISUID
#define	S_ISUID		0
#endif
#ifndef S_ISGID
#define	S_ISGID		0
#endif
#ifndef S_ISVTX
#define	S_ISVTX		0
#endif
#endif	/* MSDOS */

	/* set WANTDEV if we must define makedev(), major() and minor() */

#ifdef WANTDEV
#undef WANTDEV
#endif
#ifdef MSDOS
#define WANTDEV
#endif
#ifdef VMS
#define WANTDEV
#endif

#ifdef WANTDEV
/* device stuff */
#define	makedev(ma, mi)		((ma << 8) | mi)
#define	major(dev)		(dev)
#define	minor(dev)		(dev)
#endif

#ifndef DEF_AR_FILE
#if defined(MSDOS) || defined(VMS)
#define	DEF_AR_FILE	"tar.out"
#else
#define	DEF_AR_FILE	"/dev/rmt8"
#endif
#endif

#ifndef DEFBLOCKING
#ifdef MSDOS
#define	DEFBLOCKING	10
#else
#define	DEFBLOCKING	20
#endif
#endif

#ifndef NONAMES
#if defined(MSDOS) || defined(VMS)
#define NONAMES
#endif
#endif
